> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dscribeai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Transcribe Video



## OpenAPI

````yaml POST /transcribe
openapi: 3.0.1
info:
  title: dScribe AI
  version: '1.0'
servers:
  - url: https://api.scribesocial.ai/v1
security: []
paths:
  /transcribe:
    post:
      tags:
        - SocialMediaTranscription
      parameters:
        - name: includeMetadata
          in: query
          schema:
            type: boolean
            default: false
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SocialMediaTranscriptionRequest'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SocialMediaTranscriptionResponse'
        '400':
          description: >-
            Bad Request - The request was invalid or the social media post is
            unsupported for some known reason.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TranscribeErrorResponse'
        '404':
          description: >-
            Not Found - The requested post could not be found. This may occur if
            the video has been removed, is private, or never existed.
      security:
        - bearerAuth: []
components:
  schemas:
    SocialMediaTranscriptionRequest:
      type: object
      properties:
        post_url:
          type: string
          nullable: false
        callback_url:
          type: string
          nullable: true
      additionalProperties: false
    SocialMediaTranscriptionResponse:
      type: object
      properties:
        status:
          $ref: '#/components/schemas/TranscriptionJobStatus'
          default: completed
        operation_id:
          type: string
          nullable: false
        data:
          type: array
          items:
            $ref: '#/components/schemas/TranscriptionData'
          nullable: false
        markdown:
          type: string
          nullable: false
      additionalProperties: false
    TranscribeErrorResponse:
      type: object
      properties:
        error_code:
          type: string
          description: A short code that quickly describes the error.
          enum:
            - UnsupportedUrl
            - NSFWUnsupported
            - PostContainsNoVideo
            - DownloadSizeExceeded
            - ProxyConnectionFailure
            - ProxyDownloadFailed
            - Unknown
        error_message:
          description: A short description of the error that occurred.
          type: string
      required:
        - error_code
        - error_message
      additionalProperties: false
    TranscriptionJobStatus:
      enum:
        - queued
        - in_progress
        - failed
        - completed
        - completed_with_failures
      type: string
    TranscriptionData:
      type: object
      properties:
        video_url:
          type: string
          nullable: false
        post_url:
          type: string
          nullable: false
        description:
          type: string
          nullable: false
        transcription:
          type: string
          nullable: false
        paragraphs:
          type: array
          items:
            $ref: '#/components/schemas/Paragraph'
          nullable: false
        video_id:
          type: string
          nullable: false
        transcribed_duration:
          type: number
          format: double
          nullable: false
        total_duration:
          type: number
          format: double
          nullable: false
        status:
          $ref: '#/components/schemas/TranscriptionStatus'
          default: completed
        platform:
          type: string
          nullable: false
        title:
          type: string
          nullable: false
        metadata:
          oneOf:
            - $ref: '#/components/schemas/TwitterMetadata'
              title: Twitter
            - $ref: '#/components/schemas/YouTubeMetadata'
              title: YouTube
            - $ref: '#/components/schemas/TikTokMetadata'
              title: TikTok
            - $ref: '#/components/schemas/InstagramMetadata'
              title: Instagram
      additionalProperties: false
    Paragraph:
      type: object
      properties:
        sentences:
          type: array
          items:
            $ref: '#/components/schemas/Sentence'
          nullable: false
        num_words:
          type: integer
          format: int32
          nullable: false
        start:
          type: number
          format: double
          nullable: false
        end:
          type: number
          format: double
          nullable: false
      additionalProperties: false
    TranscriptionStatus:
      enum:
        - in_progress
        - failed
        - completed
      type: string
    TwitterMetadata:
      type: object
      properties:
        upload_time:
          type: string
          format: date-time
          nullable: false
        comment_count:
          type: integer
          format: int64
          nullable: false
        like_count:
          type: integer
          format: int64
          nullable: false
        thumbnail:
          type: string
          nullable: false
        retweet_count:
          type: integer
          format: int64
          nullable: false
        quote_count:
          type: integer
          format: int64
          nullable: false
      nullable: true
      additionalProperties: false
    YouTubeMetadata:
      type: object
      properties:
        upload_time:
          type: string
          format: date-time
          nullable: false
        comment_count:
          type: integer
          format: int64
          nullable: false
        like_count:
          type: integer
          format: int64
          nullable: false
        thumbnail:
          type: string
          nullable: false
      nullable: true
      additionalProperties: false
    TikTokMetadata:
      type: object
      properties:
        upload_time:
          type: string
          format: date-time
          nullable: false
        comment_count:
          type: integer
          format: int64
          nullable: false
        like_count:
          type: integer
          format: int64
          nullable: false
        thumbnail:
          type: string
          nullable: false
        share_count:
          type: integer
          format: int64
          nullable: false
        play_count:
          type: integer
          format: int64
          nullable: false
      nullable: true
      additionalProperties: false
    InstagramMetadata:
      type: object
      properties:
        upload_time:
          type: string
          format: date-time
          nullable: false
        comment_count:
          type: integer
          format: int64
          nullable: false
        like_count:
          type: integer
          format: int64
          nullable: false
        thumbnail:
          type: string
          nullable: false
      nullable: true
      additionalProperties: false
    Sentence:
      type: object
      properties:
        text:
          type: string
          nullable: false
        start:
          type: number
          format: double
          nullable: false
        end:
          type: number
          format: double
          nullable: false
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````